Hi!

My excuses if this issues is known or wanted, but I saw no reply to the
posting of somebody else reporting this issue to openssl-users:

If I compile Apache 2.0.54 with beta6 or the latest snapshot, I have to
correct the usage of PEM_F_DEF_CALLBACK to PEM_F_PEM_DEF_CALLBACK
(defined in pem.h).

The naming of the constants has changed with 0.9.8 and breaks
compatibility with "top" applications like Apache httpd.

Is this a bug or a feature? It might confuse quite some users when
starting to compile with 0.9.8...

Regards,


Georg v.Zezschwitz

__________________________________________________ ____________________
OpenSSL Project http://www.openssl.org
Development Mailing List openssl-dev@openssl.org
Automated List Manager majordomo@openssl.org